# \Thelia\TypeEnumType

## Summary

Methods
Properties
Constants
__construct()
getType()
isValid()
getFormattedValue()
No public properties found
No constants found
No protected methods found
$values
N/A
No private methods found
No private properties found
N/A

File
  Type/EnumType.php
Package
  \Default
Class hierarchy
  \Thelia\Type\EnumType

## Tags

author | Etienne Roudeix eroudeix@openstudio.fr

## Properties

### $values

    $values

#

## Tags

None found

## Methods

### __construct()

    __construct( $values)

#### Parameters

| $values |

#

## Tags

None found

### getType()

    getType()

#

## Tags

None found

### isValid()

    isValid( $value)

#### Parameters

| $value |

#

## Tags

None found

### getFormattedValue()

    getFormattedValue( $value)

#### Parameters

| $value |

#

## Tags

None found

### EnumType.php